package com.lantone.qc.kernel.catalogue.yiwu.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.model.label.TreatPlanLabel;
import org.springframework.stereotype.Component;

/**
 * @ClassName : FIRC0090
 * @Description : 治疗措施不具体
 * @Author : 胡敬
 * @Date: 2020-07-10 14:41
 */
@Component
public class FIRC0090 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
        if (firstCourseRecordDoc == null) {
            status.set("0");
            return;
        }
        TreatPlanLabel treatPlanLabel = firstCourseRecordDoc.getTreatPlanLabel();
        if (treatPlanLabel == null) {
            return;
        }
        if (treatPlanLabel.getMedicine() != null || treatPlanLabel.getTreat().size() > 0
                || treatPlanLabel.getPacs().size() > 0) {
            status.set("0");
        }
    }
}